#eduGAIN Access Check

##Overview

eduGAIN Access Check can be used by SP admins to validate the behaviour of
their federated service in a production environment.

It is actually composed of two parts:
* account manager
* identity provider

##Account Manager

This is a web application developed in Perl, allowing SP admins to create test accounts with multiple user profiles.

It requires the following CPAN distributions:
* CGI
* Config-Tiny
* DateTime
* HTTP-AcceptLanguage
* List-MoreUtils
* Log-Any
* Rose-DB-Object
* Template-Toolkit
* Text-CSV
* XML-LibXML

Installation follows the usual autotools-based procedure:
```
$> configure
$> make
$> sudo make install
```

A database has to be created, and its schema populated. For instance, with MariaDB:
```
$> mysqladmin create -u root -p access_check
Enter password:
$> mysql -u root -p access_check < conf/access-check.sql
Enter password:
$> mysql -u root -p mysql
Enter password:
MariaDB [mysql]> grant all privileges on access_check.* to access_check@localhost identified by 's3cr3t';
Query OK, 0 rows affected (0.00 sec)
MariaDB [mysql]> quit
```

##Identity Provider

The identity provider is actually [simpleSAMLphp](https://simplesamlphp.org/).

##Licensing
This software is licensed under GÉANT Standard Open Source Software Outward
Licence.

This software was developed by RENATER, with funding from the European
Community Seventh Framework Programme (FP7/2007-2013) under grant agreement nº
238875 (GÉANT).

This software was initialy authored by Olivier Salaün.
